<?php 

$mottomag_show_logo=true; /// if set tru show web dorado logo in admin panel if false dont show

$mottomag_web_dor='http://web-dorado.com';

///// initial menu

add_action('admin_menu','mottomag_theme_admin_menu');


/// action save or update after submit
add_action('init','mottomag_update_and_reset');

/// include functions_class

require_once( 'includes/class_functions_for_admin.php' );

/// include meta

require_once('includes/meta/meta-functions.php');

/// include Layoute page class

require_once( 'layout_page.php' );

/// include General Settings page class

require_once( 'general_settings_page.php' );

/// include Home page class

require_once( 'home_page.php' );

/// include Integration page class

require_once( 'typography_page.php' );

/// include Integration page class

require_once( 'slider_page.php' );

/// include Integration page class

require_once( 'install_sampl_date.php' );

/// include widgets

require_once( 'widgets/widgets.php' );

/// include Licensing

require( 'licensing.php' );

//// set classes objects

$mottomag_admin_helepr_functions = new mottomag_admin_helper_class();

$mottomag_layout_page = new mottomag_layout_page_class();

$mottomag_general_settings_page = new mottomag_general_settings_page_class();

$mottomag_home_page = new mottomag_home_page_class();

$mottomag_typography_page = new mottomag_typography_page_class();

$mottomag_slider_page = new mottomag_slider_page_class();

$mottomag_sample_date = new mottomag_sample_date();

$mottomag_licensing_page = new mottomag_licensing_page_class();

/// ajax for install sample date
add_action('wp_ajax_install_sample_date',  array(&$mottomag_sample_date,'install_ajax'));

/// ajax for remove sample date
add_action('wp_ajax_remove_sample_date',  array(&$mottomag_sample_date,'remove_ajax'));

function mottomag_theme_admin_menu(){
	
	$theme_name='Mottomag Options';
	/// create menu for web dorado theme		
	$mottomag_theme_option=add_theme_page( $theme_name, $theme_name, 'manage_options', "web_dorado_theme", 'mottomag_theme_control_pages' );
	add_action('admin_print_styles-' . $mottomag_theme_option, 'mottomag_theme_admin_scripts');
	
}


////// this function work  in admin

function mottomag_update_and_reset(){
	
	if(is_admin()){
		
		global $mottomag_layout_page,$mottomag_general_settings_page,$mottomag_home_page,$mottomag_typography_page,$mottomag_slider_page;
		$mottomag_layout_page->mottomag_theme_update_and_get_options_layout();
		$mottomag_general_settings_page->mottomag_theme_update_and_get_options_general_settings();
		$mottomag_home_page->mottomag_theme_update_and_get_options_home();
		$mottomag_slider_page->mottomag_theme_update_slider();
		$mottomag_typography_page->mottomag_theme_update_and_get_options_typography();
		
	}
	
}

function mottomag_theme_admin_scripts(){
	
			/// use global page classes for printing scripts
			global 	$mottomag_layout_page,
					$mottomag_general_settings_page,
					$mottomag_home_page,
					$mottomag_typography_page,
					$mottomag_slider_page,
					$mottomag_sample_date,
					$mottomag_licensing_page;

			$mottomag_layout_page->mottomag_layout_page_admin_scripts();
			$mottomag_general_settings_page->mottomag_general_settings_page_admin_scripts();
			$mottomag_home_page->mottomag_home_page_admin_scripts();
			$mottomag_typography_page->mottomag_typography_page_admin_scripts();
			$mottomag_slider_page->mottomag_slider_page_admin_scripts();
			$mottomag_sample_date->mottomag_sample_data_admin_scripts();
            $mottomag_licensing_page->mottomag_licensing_admin_scripts();
}

function mottomag_theme_control_pages(){
	
	global  $mottomag_layout_page,// layout page class
			$mottomag_general_settings_page,// general page class
			$mottomag_home_page,// home page class
			$mottomag_typography_page,// typography page class
			$mottomag_slider_page,// slider page class
			$mottomag_sample_date,// sample_date page class
			$mottomag_licensing_page;
			
			?>
	<style>
	.nav-tab-wrapper a{
		font-size:14px;
	}
	.nav-tab{
	   border-color: #919191 #919191 #fff !important;
	}
	.nav-tab-active{
	   border-color: #727272 #727272 #fff !important;
	}
	h2.nav-tab-wrapper{
	  border-bottom-color:#727272 !important;
	}
	</style>
	
	<script>
	jQuery(document).ready(function($) {
		if (typeof(localStorage) != 'undefined' ) {
			active_tab = localStorage.getItem("active_tab");
		}
		if (active_tab != '' && $(active_tab).length ) {
			$(active_tab).fadeIn();
		} else {
			$('.group:first').fadeIn();
		}
		$('.group .collapsed').each(function(){
			$(this).find('input:checked').parent().parent().parent().nextAll().each( 
				function(){
					if ($(this).hasClass('last')) {
						$(this).removeClass('hidden');
							return false;
						}
					$(this).filter('.hidden').removeClass('hidden');
				});
		});
		if (active_tab != '' && $(active_tab + '-tab').length ) {
			$(active_tab + '-tab').addClass('nav-tab-active');
		}
		else {
			$('.nav-tab-wrapper a:first').addClass('nav-tab-active');
		}
		
		$('.nav-tab-wrapper a').click(function(evt) {
			$('.nav-tab-wrapper a').removeClass('nav-tab-active');
			$(this).addClass('nav-tab-active').blur();
			var clicked_group = $(this).attr('href');
			if (typeof(localStorage) != 'undefined' ) {
				localStorage.setItem("active_tab", $(this).attr('href'));
			}
			$('.group').hide();
			$(clicked_group).fadeIn();
			evt.preventDefault();
			
			// Editor Height (needs improvement)
			$('.wp-editor-wrap').each(function() {
				var editor_iframe = $(this).find('iframe');
				if ( editor_iframe.height() < 30 ) {
					editor_iframe.css({'height':'auto'});
				}
			});
		
		});
								
		$('.group .collapsed input:checkbox').click(unhideHidden);
					
		function unhideHidden(){
			if ($(this).attr('checked')) {
				$(this).parent().parent().parent().nextAll().removeClass('hidden');
			}
			else {
				$(this).parent().parent().parent().nextAll().each( 
				function(){
					if ($(this).filter('.last').length) {
						$(this).addClass('hidden');
						return false;		
						}
					$(this).addClass('hidden');
				});
								
			}
		}
		
		// Image Options
		$('.of-radio-img-img').click(function(){
			$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
			$(this).addClass('of-radio-img-selected');		
		});
			
		$('.of-radio-img-label').hide();
		$('.of-radio-img-img').show();
		$('.of-radio-img-radio').hide();
		});
	</script>
	<?php global $mottomag_show_logo,$mottomag_web_dor; if($mottomag_show_logo){?><div style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/adminheader.png);background-repeat: no-repeat; width: 90%;margin-left: 59px; height: 90px;"></div><?php }?>
	<div id="icon-themes" class="icon32"><br></div>
	<h2 class="nav-tab-wrapper">
		<a id="options-group-1-tab" class="nav-tab" title="Layout Editor" href="#options-group-1"><?php echo __("Layout Editor", "mottomag" ); ?></a>
		<a id="options-group-2-tab" class="nav-tab" title="General" href="#options-group-2"><?php echo __("General", "mottomag" ); ?></a>
		<a id="options-group-3-tab" class="nav-tab" title="Homepage" href="#options-group-3"><?php echo __("Homepage", "mottomag" ); ?></a>
		<a id="options-group-4-tab" class="nav-tab" title="Color Control" href="#options-group-4"><?php echo __("Color Control", "mottomag" ); ?></a>
		<a id="options-group-5-tab" class="nav-tab" title="Typography" href="#options-group-5"><?php echo __("Typography", "mottomag" ); ?></a>
		<a id="options-group-6-tab" class="nav-tab" title="Slider" href="#options-group-6"><?php echo __("Slider", "mottomag" ); ?></a>
		<a id="options-group-7-tab" class="nav-tab" title="Install Sample Data" href="#options-group-7"><?php echo __("Install Sample Data", "mottomag" ); ?></a>	
		<a id="options-group-8-tab" class="nav-tab" title="Licensing" href="#options-group-8"><?php echo __("Licensing", "mottomag" ); ?></a>		
	</h2>
	<div id="optionsframework-metabox" class="metabox-holder">
	    <div id="optionsframework" class="postbox">
			
				<div id="options-group-1" class="group Layout" style="display: none;"><h3><?php echo __("Layout Editor", "mottomag" ); ?></h3><?php echo $mottomag_layout_page->mottomag_theme_admin_layout(); ?></div>
				<div id="options-group-2" class="group General" style="display: none;"><h3><?php echo __("General", "mottomag" ); ?></h3><?php echo $mottomag_general_settings_page->mottomag_theme_admin_general_settings(); ?></div>
				<div id="options-group-3" class="group Homepage" style="display: none;"><h3><?php echo __("Homepage", "mottomag" ); ?></h3><?php echo $mottomag_home_page->mottomag_theme_admin_home(); ?></div>
				<div id="options-group-4" class="group Color" style="display: none;"><h3><?php echo __("Color Control", "mottomag" ); ?></h3>
					<div id="main_color_control_page">			
						<table align="center" width="90%" style="margin-top: 0px;border-bottom: rgb(111, 111, 111) solid 2px;">
							<tr>   
								  <td style="font-size:14px; font-weight:bold">
									 <a href="<?php echo $mottomag_web_dor.'/wordpress-themes-guide-step-1.html'; ?>" target="_blank" style="color:#126094; text-decoration:none;"><?php echo __("User Manual", "mottomag" ); ?></a><br /><?php echo __("This section allows you customize the color features.", "mottomag" ); ?>
									 <a href="<?php echo $mottomag_web_dor.'/wordpress-theme-options/3-6.html'; ?>" target="_blank" style="color:#126094; text-decoration:none;"><?php echo __("More...", "mottomag" ); ?></a>
								 </td>    
								  <td  align="right" style="font-size:16px;">
									   <a href="<?php echo $mottomag_web_dor.'/wordpress-themes/mottomag.html'; ?>" target="_blank" style="color:red; text-decoration:none;">
										  <img src="<?php echo get_template_directory_uri() ?>/images/header.png" border="0" alt="" width="215">
									   </a>
								   </td>
							</tr>
							<tr>
								<td style="height: 70px;"><h3 style="margin: 0px;font-family:Segoe UI;color: rgb(111, 111, 111); font-size:18pt;"><?php echo __("Color Control", "mottomag" ); ?></h3></td>
							</tr>
						</table>
					  <div style="margin: 0 auto;width:90%;padding-bottom:0px; padding-top:0px;">		
						<div class="optiontitle" style="">
							  <p style="font-size:15px;font-weight:bold;color: #333;"><?php echo __("The color customization parameters are disabled in free version. Please buy the commercial version in order to enable this functionality.", "mottomag" ); ?></p>
							  <img src="<?php echo get_template_directory_uri(); ?>/images/color.jpg" width="100%" style="border-bottom: 1px solid rgb(206, 206, 206);">
						</div>
					 </div>
				   </div>
				</div>
				<div id="options-group-5" class="group Typography" style="display: none;"><h3><?php echo __("Typography", "mottomag" ); ?></h3><?php echo $mottomag_typography_page->mottomag_theme_admin_typography(); ?></div>
				<div id="options-group-6" class="group Slider" style="display: none;"><h3><?php echo __("Slider", "mottomag" ); ?></h3><?php echo $mottomag_slider_page->mottomag_theme_admin_slider(); ?></div>
				<div id="options-group-7" class="group Install" style="display: none;"><h3><?php echo __("Install Sample Data", "mottomag" ); ?></h3><?php echo $mottomag_sample_date->mottomag_install_posts(); ?></div>
			    <div id="options-group-8" class="group Licensing" style="display: none;"><h3><?php echo __("Licensing", "mottomag" ); ?></h3><?php echo $mottomag_licensing_page->mottomag_admin_licensing(); ?></div>
		</div>
		
<?php
}

?>