<?php 
/*The template for displaying Archive pages*/
global $mottomag_general_settings_page;
foreach ($mottomag_general_settings_page->options_generalsettings as $value) {
    if (isset( $value['id'] )) { $$value['var_name'] = $value['std']; }
}
get_header(); 
?>
<div class="container">
   <?php  if ( is_active_sidebar( 'sidebar-1' ) ) { ?>
		<aside id="sidebar1">
			<div class="sidebar-container">
				<?php  dynamic_sidebar( 'sidebar-1' ); 	?>	
				<div class="clear"></div>
			</div>
		</aside>
    <?php }?>
	<div id="content" class="blog archive-page">
         <div id="main-content">	
			<?php if (have_posts()) :
			        $post = $posts[0]; ?>		
					<?php  if (is_category()) { ?>
					<h2 class="styledHeading"><?php _e('Archive For The ', 'mottomag'); ?>&ldquo;<?php single_cat_title(); ?>&rdquo; <?php _e('Category', 'mottomag'); ?></h2>
					<?php  } elseif( is_tag() ) { ?>
					<h2 class="styledHeading"><?php _e('Posts Tagged ', 'mottomag'); ?>&ldquo;<?php single_tag_title(); ?>&rdquo;</h2>
					<?php  } elseif (is_day()) { ?>
					<h2 class="styledHeading"><?php _e('Archive For ', 'mottomag'); ?><?php the_time(get_option( 'date_format' )); ?></h2>
					<?php  } elseif (is_month()) { ?>
					<h2 class="styledHeading"><?php _e('Archive For ', 'mottomag'); ?><?php the_time(get_option( 'date_format' )); ?></h2>
					<?php  } elseif (is_year()) { ?>
					<h2 class="styledHeading"><?php _e('Archive For ', 'mottomag'); ?><?php the_time(get_option( 'date_format' )); ?></h2>
					<?php  } elseif (is_author()) { ?>
					<h2 class="styledHeading"><?php _e('Author Archive', 'mottomag'); ?></h2>
					<?php  } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
					<h2 class="styledHeading"><?php _e('Blog Archives', 'mottomag'); ?></h2>
					<?php } ?>
			
					<?php while (have_posts()) : the_post(); ?>						
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="post">
							<h3 class="archive-header"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>								
						</div>
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( ); ?>" rel="bookmark">
						<?php if($grab_image && !has_post_thumbnail()) 
							  {
								  echo mottomag_display_thumbnail(150,150); 
							  } else {
								  echo mottomag_thumbnail(150,150);
							  } ?>
						</a>
						<?php  if($blog_style){
						           the_excerpt();
							   }else{
							       the_content();
							   }  ?>						
					</div>
					<?php if($date_enable) mottomag_entry_meta();
					 endwhile; ?>
					    <div class="page-navigation">
						   <?php posts_nav_link(); ?>
						</div>
	       <?php else : ?>
					<h3 class="archive-header"><?php _e('Not Found', 'mottomag'); ?></h3>
					<p><?php _e('There are not posts belonging to this category or tag. Try searching below:', 'mottomag'); ?></p>
					<div id="search-block-category"><?php get_search_form(); ?></div>	
	       <?php endif;
	
			wp_reset_query();
			  if(comments_open())
			  {  ?>
					<div class="comments-template">
						<?php comments_template();	?>
					</div>
			<?php
				} ?>
	  </div>
	 <?php if ( is_active_sidebar( 'sidebar-2' ) ) { ?>
		<aside id="sidebar2">
			<div class="sidebar-container">
			  <?php  dynamic_sidebar( 'sidebar-2' ); 	?>
			  <div class="clear"></div>
			</div>
		</aside>
    <?php } ?>
   </div>
</div>	
<?php get_footer(); ?>
