<?php


class mottomag_home_page_class{
	
	public $homepage;
	public $shorthomepage;
	public $options_homepage;
	
	function __construct(){
		$this->homepage = "Homepage";
		$this->shorthomepage = "";
		$frst_post_wordpress='';
		$post_in_array=get_posts( array('posts_per_page' => 1));
		if($post_in_array)
			$frst_post_wordpress=$post_in_array[0]->ID;
		unset($post_in_array);
		
		
		$value_of_std[0]=get_theme_mod($this->shorthomepage."_hide_slider",'on');
		$value_of_std[1]=get_theme_mod($this->shorthomepage."_top_post_cat_name",'');
		$value_of_std[2]=get_theme_mod($this->shorthomepage."_hide_top_posts",'on');
		$value_of_std[3]=get_theme_mod($this->shorthomepage."_top_post_categories",'');
		$value_of_std[6]=get_theme_mod($this->shorthomepage."_hide_video_post",'on');
		$value_of_std[7]=get_theme_mod($this->shorthomepage."_video_post_categories",'');
		$value_of_std[9]=get_theme_mod($this->shorthomepage."_content_post_cat_name",'');
		$value_of_std[10]=get_theme_mod($this->shorthomepage."_hide_content_posts",'on');
		$value_of_std[11]=get_theme_mod($this->shorthomepage."_content_post_categories",'');
		$value_of_std[12]=get_theme_mod($this->shorthomepage."_video_post_name",'Videos');


		
		
		$this->options_homepage = array(
		
		
			"hide_slider" => array(
			
				"name" => __("Slider","mottomag"),
				
				"description" => __("Check the box to display the homepage slider.","mottomag"),
				
				"var_name" => "hide_slider",

				"id" => $this->shorthomepage."_hide_slider",

				"std" => $value_of_std[0]
			
			),
			
			"top_post_cat_name" => array(
			
				"name" => "",
				
				"description" => __("Name of top post category","mottomag"),
				
				"var_name" => "top_post_cat_name",

				"id" => $this->shorthomepage."_top_post_cat_name",

				"std" => $value_of_std[1]
			
			),
			
			"hide_top_posts" => array(
			
				"name" => __("Top Posts","mottomag"),
				
				"description" => __("Check the box to display the top posts from the homepage.","mottomag"),
				
				"var_name" => "hide_top_posts",

				"id" => $this->shorthomepage."_hide_top_posts",

				"std" => $value_of_std[2]
			
			),
			
			
			"top_post_categories" => array(
			
				"name" => __("Top Posts","mottomag"),
				
				"description" => __("Select the categories from which you want the homepage top posts to be selected (the posts are selected automatically).","mottomag"),
				
				"var_name" => "top_post_categories",

				"id" => $this->shorthomepage."_top_post_categories",

				"std" => $value_of_std[3]
			
			),
												
			"hide_video_post" => array(
			
				"name" => __("Video Post","mottomag"),
				
				"description" => __("Check the box to display the video-related post from the homepage.","mottomag"),
				
				"var_name" => "hide_video_post",

				"id" => $this->shorthomepage."_hide_video_post",

				"std" => $value_of_std[6]
			
			),
			
			"video_post_categories" => array(
			
				"name" => __("Video post","mottomag"),
				
				"description" => __("Select the categories from which you want the homepage video posts to be selected","mottomag"),
				
				"var_name" => "video_post_categories",

				"id" => $this->shorthomepage."_video_post_categories",

				"std" => $value_of_std[7]
			
			),

			"content_post_cat_name" => array(
			
				"name" => "",
				
				"description" => __("Name of top post category","mottomag"),
				
				"var_name" => "content_post_cat_name",

				"id" => $this->shorthomepage."_content_post_cat_name",

				"std" => $value_of_std[9]
			
			),
			
			"hide_content_posts" => array(
			
				"name" => __("Content Top Posts","mottomag"),
				
				"description" => __("Check the box to select the categories from which top posts will be displayed.","mottomag"),
				
				"var_name" => "hide_content_posts",

				"id" => $this->shorthomepage."_hide_content_posts",

				"std" => $value_of_std[10]
			
			),
			
			
			"content_post_categories" => array(
			
				"name" => "",
				
				"description" => __("Select the categories.","mottomag"),
				
				"var_name" => "content_post_categories",

				"id" => $this->shorthomepage."_content_post_categories",

				"std" => $value_of_std[11]
			
			),
			
			"video_post_name" => array(
			
				"name" => "",
				
				"description" => __("Name of video post","mottomag"),
				
				"var_name" => "video_post_name",

				"id" => $this->shorthomepage."_video_post_name",

				"std" => $value_of_std[12]
			
			),
			
			
			
		);
	}


	/// save changes or reset options
	public function mottomag_theme_update_and_get_options_home(){
		if (isset($_GET['page']) &&  $_GET['page'] == "web_dorado_theme" && isset($_GET['controller']) && $_GET['controller'] == "home_page") {

			if (isset($_REQUEST['action']) && $_REQUEST['action']=='save' ) {

				foreach ($this->options_homepage as $value) {
					if(isset($_REQUEST[$value['var_name']]))
						set_theme_mod($value['id'], stripslashes($_REQUEST[$value['var_name']]));
				}
				foreach ($this->options_homepage as $value) {
					if (isset($_REQUEST[$value['var_name']])) {
						set_theme_mod($value['id'], stripslashes($_REQUEST[$value['var_name']]));
					} else {
						remove_theme_mod($value['id']);
					}
				}
				header("Location: themes.php?page=web_dorado_theme&controller=home_page&saved=true");
				die;
			} 
			else {
				
				if (isset($_REQUEST['action']) && $_REQUEST['action']=='reset') {
					
					foreach ($this->options_homepage as $value) {
						remove_theme_mod($value['id']);
					}
					header("Location: themes.php?page=web_dorado_theme&controller=home_page&reset=true");
					die;
				}
								
			}
		}

	
	}
	
	public function mottomag_home_page_admin_scripts(){
		wp_enqueue_style('home_page_main_style',get_template_directory_uri().'/admin/css/home_page.css');	
	}
	
	public function update_parametr($param_name,$value){
		if(isset($this->options_homepage[$param_name]['id']))
			set_theme_mod($this->options_homepage[$param_name]['id'],$value);
	}

	private function get_all_posts_in_select(){
		$args= array(
				'posts_per_page'   => 3000,
				'orderby'          => 'post_date',
				'order'            => 'DESC',
				'post_type'        => 'post',
				'post_status'      => 'publish',
				 );
		$posts_array_custom=array();
		
	
		$posts_array = get_posts( $args );

			foreach($posts_array as $post){
				$posts_array_custom[$post->ID]=$post->post_title;
			}
		return $posts_array_custom;
	}
	
	public function mottomag_theme_admin_home(){
			
		if (isset($_REQUEST['saved']) && $_REQUEST['saved']  && isset($_REQUEST['controller']) && $_REQUEST['controller']=='home_page' ) 
		
			echo '<div id="message" class="updated"><p><strong>Home settings are saved.</strong></p></div>';
			
		if (isset($_REQUEST['reset']) && $_REQUEST['reset'] && isset($_REQUEST['controller']) && $_REQUEST['controller']=='home_page') 
		
			echo '<div id="message" class="updated"><p><strong>Home settings are reset.</strong></p></div>';
			
		global $mottomag_admin_helepr_functions,$mottomag_web_dor;	
		?>
	
	
		<div id="main_home_page">
			
			<table align="center" width="90%" style="margin-top: 0px;border-bottom: rgb(111, 111, 111) solid 2px;">
			    <tr>   
				   <td style="font-size:14px; font-weight:bold">
					 <a href="<?php echo $mottomag_web_dor.'/wordpress-themes-guide-step-1.html'; ?>" target="_blank" style="color:#126094; text-decoration:none;"><?php echo __("User Manual", "mottomag" ); ?></a><br /><?php echo __("This section allows you to customize the homepage.", "mottomag" ); ?> 
					 <a href="<?php echo $mottomag_web_dor.'/wordpress-theme-options/3-4.html'; ?>" target="_blank" style="color:#126094; text-decoration:none;"><?php echo __("More...", "mottomag" ); ?></a>
				   </td>   
				   <td  align="right" style="font-size:16px;">
					   <a href="<?php echo $mottomag_web_dor.'/wordpress-themes/mottomag.html'; ?>" target="_blank" style="color:red; text-decoration:none;">
						  <img src="<?php echo get_template_directory_uri() ?>/images/header.png" border="0" alt="" width="215">
					   </a>
					</td>
                </tr>
				<tr>
					<td colspan="2"><h3  style="margin: 0px;font-family:Segoe UI;padding-bottom: 15px;color: rgb(111, 111, 111); font-size:18pt;"><?php echo __("Home", "mottomag" ); ?></h3>
					</td>
				</tr>
			</table>
			<form method="post"  action="themes.php?page=web_dorado_theme&controller=home_page">
				<table align="center" width="90%" style=" padding-bottom:0px; padding-top:0px;">
					<tr>
						<td>
                          <?php 
						    $mottomag_admin_helepr_functions->only_checkbox($this->options_homepage['hide_slider']);
							$mottomag_admin_helepr_functions->checkbox_category_checkboxses($this->options_homepage['hide_top_posts'],$this->options_homepage['top_post_categories'],$this->options_homepage['top_post_cat_name']);  /// Home Top posts						  
							$mottomag_admin_helepr_functions->checkbox_category_checkboxses($this->options_homepage['hide_content_posts'],$this->options_homepage['content_post_categories'],array($this->options_homepage['content_post_cat_name']));
							$mottomag_admin_helepr_functions->checkbox_category_checkboxses($this->options_homepage['hide_video_post'],$this->options_homepage['video_post_categories'],array($this->options_homepage['video_post_name']));  /// Home Top posts						  
							
							?>
							
						</td>
					</tr>
				</table><br/>
				<p class="submit" style="float: left; margin-left: 63px; margin-right: 8px;">
					<input class="button" name="save" type="submit" value="Save changes"/>
					<input type="hidden" name="action" value="save"/>
				</p>
			</form>
			<form method="post" action="themes.php?page=web_dorado_theme&controller=home_page">
				<p class="submit">
					<input class="button" name="reset" type="submit" value="Reset"/>
					<input type="hidden" name="action" value="reset"/>
				</p>
			</form>
		</div>
	<?php

	
	
	}	

}
 