<?php 
class mottomag_vertical_tab extends WP_Widget
{
    function mottomag_vertical_tab(){
		$widget_ops = array('description' => __('Displays Categories Posts','mottomag'));
		$control_ops = array('width' => '', 'height' => '');
		parent::WP_Widget(false,$name=__('Categories Posts Vertical Tab','mottomag'),$widget_ops,$control_ops);
	}

  /* Displays the Widget in the front-end */
    function widget($args, $instance){
		extract($args);
		$title =  esc_html( $instance['title']);
		$categ_id = empty( $instance['categ_id'] ) ? '' : $instance['categ_id'];
		$post_count = empty( $instance['post_count'] ) ? '' : $instance['post_count'];
		$post_show_count = empty( $instance['post_show_count'] ) ? '' : $instance['post_show_count'];

		echo $before_widget;

		if ( $title )
			echo $before_title . $title . $after_title; ?>
	<script>
	click=1;
	jQuery(document).ready(function(){		
		jQuery('.vertical_slided_images-arrow-down').click(function(){				
			if(parseInt(jQuery(this).parent().parent().find('.image_widg_cont').css('top'))<0 && click){
			   click=0;
			   var images_hegth=jQuery(this).parent().parent().find('.image_widg_cont').eq(0).outerHeight( true );
			   jQuery(this).parent().parent().find('.image_widg_cont').animate({  top:"+="+images_hegth }, 400, function() { click=1  });
		   }
		});
		jQuery('.vertical_slided_images-arrow-up').click(function(){
		  if(parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('count_show'))!=parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('post_count'))){
			var images_hegth=jQuery(this).parent().parent().find('.image_widg_cont').eq(0).outerHeight( true );
			if(click && parseInt(jQuery(this).parent().parent().find('.image_widg_cont').css('top'))>-images_hegth*(parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('post_count'))-parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('count_show')))){
			  click=0;
			  jQuery(this).parent().parent().find('.image_widg_cont').animate({  top:"-="+images_hegth }, 400, function() { click=1  });
		   }
		   }
		});
		
		
		
		
		jQuery('.vertical_slided_images-arrow-right').click(function(){
		
			if(parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('post_count'))!=3){
			var images_width=jQuery(this).parent().parent().find('.image_widg_cont').eq(0).width();
			if(click && parseInt(jQuery(this).parent().parent().find('.image_widg_cont').css('left'))>-images_width*(parseInt(jQuery(this).parent().parent().find('.vertical_slided_images-content').attr('post_count'))-3)){
			  click=0;
			  jQuery(this).parent().parent().find('.image_widg_cont').animate({  left:"-="+images_width }, 400, function() { click=1  });
		   }
		   }
		});
		jQuery('.vertical_slided_images-arrow-left').click(function(){
		if(parseInt(jQuery(this).parent().parent().find('.image_widg_cont').css('left'))<0 && click){
				click=0;
			   var images_width=jQuery(this).parent().parent().find('.image_widg_cont').eq(0).width();
			   console.log(images_width);
			   jQuery(this).parent().parent().find('.image_widg_cont').animate({  left:"+="+images_width }, 400, function() { click=1  });
		   }
		
		  
		});
	})
	</script>
		<div class="vertical_slided_images-arrow-left"><a href="#left"></a></div>
		<div class="vertical_slided_images-arrow-right"><a href="#right"></a></div>
		<div class="vertical_slided_images-content" count_show="<?php echo $post_show_count ?>" post_count="<?php echo $post_count; ?>">
		<div class="vertical_slided_images-arrow-up"><a href="#up"></a></div>
		<div class="vertical_slided_images-arrow-down"><a href="#down"></a></div>
		
		<?php 
		global $post;
		$wp_query= null;
		$wp_query = new WP_Query();
		if(!isset($post_count))
			$post_count =0;
		$wp_query->query('posts_per_page='.$post_count.'&cat='.$categ_id);
        $k=0; 
			while ($wp_query->have_posts()) : $wp_query->the_post(); 
			    $k++; ?>	
				<div class="image_widg_cont image-widg-<?php echo $k; ?>">
					  <?php echo mottomag_display_thumbnail(250,230);	
						$tumb_id=get_post_thumbnail_id( $post->ID );
						$thumb_url=wp_get_attachment_image_src($tumb_id,'full');
						if( $thumb_url )										
						   $thumb_url = $thumb_url[0];	
						else
						   $thumb_url = mottomag_catch_that_image(); ?>
						<div class="caption">  
							<div class="gallery-post-info">
								<a class="<?php echo $post->ID; ?> thickbox zoom-icon-link" href="<?php echo $thumb_url; ?>?TB_iframe=1&tbWidth=800&tbHeight=600"  rel="gallery-999">
									<div class="plus-circle"><span>+</span></div>
								</a>													
							</div>													
						</div>			   
				</div>
	<?php endwhile; 
	
		echo '</div>'.$after_widget;
				
		}

  /*Saves the settings. */
    function update($new_instance, $old_instance){
		
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		$instance['categ_id'] = wp_filter_post_kses( addslashes($new_instance['categ_id']));
		$instance['post_count'] = wp_filter_post_kses( addslashes($new_instance['post_count']));
		$instance['post_show_count'] = wp_filter_post_kses( addslashes($new_instance['post_show_count']));

		return $instance;
		
		}

  /*Creates the form for the widget in the back-end. */
    function form($instance){
				//Defaults
		$instance = wp_parse_args( (array) $instance, array( 'title'=>__('Categories Posts Vertical Tab','mottomag'), 'categ_id'=>'0', 'post_count'=>'3', 'post_show_count'=>'3' ) );

		$title = esc_attr( $instance['title'] );
		$categ_id = esc_attr( $instance['categ_id'] ); 
        $post_count = esc_attr( $instance['post_count'] );
		$post_show_count = esc_attr( $instance['post_show_count'] )?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php echo __('Title:','mottomag'); ?></label><input class="widefat" id="<?php echo  $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
		
		
		<p><label for="<?php echo $this->get_field_id('categ_id'); ?>"><?php echo __('Select Category:','mottomag'); ?></label>
		<select name="<?php echo $this->get_field_name('categ_id'); ?>" id="<?php echo $this->get_field_id('categ_id') ?>" style="font-size:12px" class="inputbox">
          <option value="0"><?php echo __('Select Category','mottomag'); ?></option>
     <?php  $categories=get_categories();
            $category_count=count($categories);
            for($i=0;$i<$category_count;$i++) {
				if(isset($categories[$i])){
       ?>
          <option value="<?php echo $categories[$i]->term_id?>" <?php if($instance['categ_id']==$categories[$i]->term_id) echo  'selected="selected"'; ?>><?php echo $categories[$i]->name ?></option>
     <?php
				}
			}
       ?>
        </select></p>
		<p><label for="<?php echo $this->get_field_id('post_count'); ?>"><?php echo __('Number of Posts:','mottomag'); ?></label><input id="<?php echo  $this->get_field_id('post_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>" type="text" value="<?php echo $post_count; ?>" size="6"/></p>
		<p><label for="<?php echo $this->get_field_id('post_show_count'); ?>"><?php echo __('Number of Posts Shows:','mottomag'); ?></label><input id="<?php echo  $this->get_field_id('post_show_count'); ?>" name="<?php echo $this->get_field_name('post_show_count'); ?>" type="text" value="<?php echo $post_show_count; ?>" size="6"/></p>
		<?php		
}

}// end mottomag_vertical_tab class
add_action('widgets_init', create_function('', 'return register_widget("mottomag_vertical_tab");'))
?>