<!DOCTYPE html>
<html  <?php language_attributes(); ?>>
<head>
<?php  wp_reset_query(); // reset query for comment and otehr  ?>
<title><?php wp_title( '|', true, 'right' ); ?></title>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<meta name="viewport" content="initial-scale=1.0" />
<meta name="HandheldFriendly" content="true"/>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<?php
$header_image = get_header_image(); ?>
<header>
 <?php if(! empty($header_image)){  ?>
   <div class="container">
	<a class="custom-header-a" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<img src="<?php echo header_image(); ?>" class="custom-header">	
	</a>
	</div>
		<?php
	} ?>
		<div id="header">
			<div class="container">
				<?php mottomag_logo_img(); ?>
				<div class="phone-menu-block">
					<nav id="top-nav">
						<div id="top-primary-menu">
						<?php 
						$magazin_show_home = true;
						if(has_nav_menu( 'primary-menu'))
							$magazin_show_home = false;
						   wp_nav_menu(	array(
											'show_home' => true,
											'theme_location'  => 'primary-menu',
											'container'       => false,
											'container_class' => '',
											'container_id'    => '',
											'menu_class'      => 'top-nav-list',
											'menu_id'         => '',
											'echo'            => true,
											'fallback_cb'     => 'wp_page_menu',
											'before'          => '',
											'after'           => '',
											'link_before'     => '',
											'link_after'      => '',
											'items_wrap'      => '<ul id="top-nav-list" class=" %2$s">%3$s</ul>',
											'depth'           => 0,
											'walker'          => ''
										)); ?>				</div>
					</nav>
<?php
$locations = get_nav_menu_locations();
$menu = array();
$menu_id=0;
if (isset($locations['primary-menu'])) {
    $menu_id = $locations['primary-menu'];
}
if(isset($post))
	$menu = wp_get_nav_menu_items($menu_id,array(
   'meta_value' => $post->ID
));
if(isset($menu[0]))
   $page_title=get_the_title( $menu[0]->ID);
else 
   $page_title= ""; ?>
					<div id="menu-button-block">					
						<a href="#"><span><?php if(is_home()){echo 'Home';} elseif(get_the_title( get_option('page_for_posts', true))==''){ echo  $page_title;}else { echo get_the_title( get_option('page_for_posts', true)) ;} ?></span></a>
					</div>
				</div>
				<div class="clear"></div>
			</div>			
		</div>	
</header>	
